Add the exception store to Kconfig and Makefile.

Signed-off-by: Mikulas Patocka <mpatocka@redhat.com>

---
 drivers/md/Kconfig  |    9 +++++++++
 drivers/md/Makefile |    6 ++++++
 2 files changed, 15 insertions(+)

Index: linux-2.6.33-rc1/drivers/md/Kconfig
===================================================================
--- linux-2.6.33-rc1.orig/drivers/md/Kconfig
+++ linux-2.6.33-rc1/drivers/md/Kconfig
@@ -259,6 +259,15 @@ config DM_MULTISNAPSHOT
 	  A submenu allows to select a specific shared snapshot store
 	  driver.
 
+config DM_MULTISNAPSHOT_MIKULAS
+	tristate "Mikulas' snapshot store"
+	depends on DM_MULTISNAPSHOT
+	---help---
+	  Mikulas Patocka's snapshot store.
+
+	  A B+-tree-based log-structured storage allowing unlimited
+	  number of snapshots.
+
 config DM_MIRROR
        tristate "Mirror target"
        depends on BLK_DEV_DM
Index: linux-2.6.33-rc1/drivers/md/Makefile
===================================================================
--- linux-2.6.33-rc1.orig/drivers/md/Makefile
+++ linux-2.6.33-rc1/drivers/md/Makefile
@@ -8,6 +8,11 @@ dm-multipath-y	+= dm-path-selector.o dm-
 dm-snapshot-y	+= dm-snap.o dm-exception-store.o dm-snap-transient.o \
 		    dm-snap-persistent.o
 dm-multisnapshot-y += dm-multisnap.o
+dm-store-mikulas-y += dm-multisnap-mikulas.o dm-multisnap-alloc.o \
+		   dm-multisnap-blocks.o dm-multisnap-btree.o \
+		   dm-multisnap-commit.o dm-multisnap-delete.o \
+		   dm-multisnap-freelist.o dm-multisnap-io.o \
+		   dm-multisnap-snaps.o dm-bufio.o
 dm-mirror-y	+= dm-raid1.o
 dm-log-userspace-y \
 		+= dm-log-userspace-base.o dm-log-userspace-transfer.o
@@ -43,6 +48,7 @@ obj-$(CONFIG_DM_MULTIPATH_QL)	+= dm-queu
 obj-$(CONFIG_DM_MULTIPATH_ST)	+= dm-service-time.o
 obj-$(CONFIG_DM_SNAPSHOT)	+= dm-snapshot.o
 obj-$(CONFIG_DM_MULTISNAPSHOT)	+= dm-multisnapshot.o
+obj-$(CONFIG_DM_MULTISNAPSHOT_MIKULAS) += dm-store-mikulas.o
 obj-$(CONFIG_DM_MIRROR)		+= dm-mirror.o dm-log.o dm-region-hash.o
 obj-$(CONFIG_DM_LOG_USERSPACE)	+= dm-log-userspace.o
 obj-$(CONFIG_DM_ZERO)		+= dm-zero.o
